/*
 * Observer.h
 *
 *  Created on: 07/giu/2012
 *      Author: bertini
 */

#ifndef OBSERVER_H_
#define OBSERVER_H_


class Observer {
public:
	virtual ~Observer() {};

	virtual void update(int seconds) = 0; // push

	virtual void attach() = 0;
	virtual void detach() = 0;
};

#endif /* OBSERVER_H_ */
